Package com.logicaldoc.core

# Class CorePlugin

java.lang.Object
org.java.plugin.Plugin
com.logicaldoc.util.plugin.LogicalDOCPlugin
com.logicaldoc.core.CorePlugin

public class CorePlugin extends LogicalDOCPlugin
Plugin class for the Core plugin

Since:
  3.5.0
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`CorePlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`install()`

### Methods inherited from class com.logicaldoc.util.plugin.LogicalDOCPlugin

`getData, getDataDirectory, getPluginPath, getProperty, resolveDataPath`

### Methods inherited from class org.java.plugin.Plugin

`getDescriptor, getManager, isActive, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CorePlugin

public CorePlugin()

## Method Details

### install

public void install() throws PluginException

Overrides:
  `install` in class `LogicalDOCPlugin`
Throws:
  `PluginException`